> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Slack or Teams

> Removes the app and everyone's connection to it.



## OpenAPI

````yaml delete /api/notifications/admin/channels/{provider}
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/notifications/admin/channels/{provider}:
    delete:
      tags:
        - Notifications
      summary: Remove Slack or Teams
      description: Removes the app and everyone's connection to it.
      operationId: remove_channel_app_api_notifications_admin_channels__provider__delete
      parameters:
        - name: provider
          in: path
          required: true
          schema:
            type: string
            enum:
              - slack
              - teams
            title: Provider
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChannelAppStatus'
        '403':
          description: Not a person's sign-in.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    ChannelAppStatus:
      properties:
        provider:
          type: string
          enum:
            - slack
            - teams
          title: Provider
        configured:
          type: boolean
          title: Configured
          description: Whether an admin has set it up.
        enabled:
          type: boolean
          title: Enabled
          description: Off hides it from everyone.
        client_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Client Id
        secrets_set:
          items:
            type: string
          type: array
          title: Secrets Set
          description: Which secrets are stored (never their values).
        workspace:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace
          description: 'Slack: the workspace the bot token belongs to.'
        tenant:
          anyOf:
            - type: string
            - type: 'null'
          title: Tenant
          description: 'Teams: the Entra directory.'
        catalog_app_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Catalog App Id
          description: 'Teams: the app''s id in your org''s catalog.'
        connected_people:
          type: integer
          title: Connected People
          description: How many people connected.
          default: 0
        redirect_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Redirect Url
          description: The redirect URL to register with the provider.
      type: object
      required:
        - provider
        - configured
        - enabled
      title: ChannelAppStatus
      description: The platform's Slack app or Teams bot. No secret is ever returned.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.